Package org.tmatesoft.svn.core.wc2

# Class SvnChecksum

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnChecksum

public class SvnChecksum extends Object
Represents a checksum for SVN files.

Version:
  1.7
Author:
  TMate Software Ltd.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`SvnChecksum.Kind`
Describes the kind of used hash algorithm for computing the checksum.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SHA1_EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`SvnChecksum(SvnChecksum.Kind kind, String digest)`
Constructs an SvnChecksum object with the specified parameters.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`static SvnChecksum`
`fromString(String checksum)`
Creates checksum object from `String`.
`String`
`getDigest()`
Gets computed checksum value.
`SvnChecksum.Kind`
`getKind()`
Gets king of checksum.
`int`
`hashCode()`
`static boolean`
`match(SvnChecksum checksum1, SvnChecksum checksum2)`
`void`
`setDigest(String digest)`
Sets computed checksum value.
`void`
`setKind(SvnChecksum.Kind kind)`
Sets kind of checksum.
`String`
`toString()`
Returns `String` representation of checksum.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### SHA1_EMPTY

public static final String SHA1_EMPTY

See Also:
  - Constant Field Values

## Constructor Details

### SvnChecksum

public SvnChecksum(SvnChecksum.Kind kind, String digest)
Constructs an SvnChecksum object with the specified parameters.

Parameters:
  `kind` - kind of checksum
  `digest` - computed checksum value

## Method Details

### getKind

public SvnChecksum.Kind getKind()
Gets king of checksum.

Returns:
  checksum kind

### getDigest

public String getDigest()
Gets computed checksum value.

Returns:
  computed checksum value

### setKind

public void setKind(SvnChecksum.Kind kind)
Sets kind of checksum.

Parameters:
  `kind` - checksum kind

### setDigest

public void setDigest(String digest)
Sets computed checksum value.

Parameters:
  `digest` - computed checksum value

### toString

public String toString()
Returns `String` representation of checksum.

Overrides:
  `toString` in class `Object`
Returns:
  `String` representation of checksum

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### fromString

public static SvnChecksum fromString(String checksum) throws SVNException
Creates checksum object from `String`.

Parameters:
  `checksum` - checksum represented in `String`
Throws:
  `SVNException`

### match

public static boolean match(SvnChecksum checksum1, SvnChecksum checksum2)